Bug 1106024 - byzanz: FTBFS in rawhide
Summary: byzanz: FTBFS in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: byzanz
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker F21FTBFS
TreeView+ depends on / blocked
 
Reported: 2014-06-09 02:18 UTC by Dennis Gilmore
Modified: 2014-07-08 00:02 UTC (History)
3 users (show)

Fixed In Version: byzanz-0.3-0.13.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-08 00:02:09 UTC


Attachments (Terms of Use)
build.log (40.66 KB, text/plain)
2014-06-09 02:18 UTC, Dennis Gilmore
no flags Details
root.log (107.79 KB, text/plain)
2014-06-09 02:18 UTC, Dennis Gilmore
no flags Details
state.log (1.06 KB, text/plain)
2014-06-09 02:18 UTC, Dennis Gilmore
no flags Details
Patch for rawhide (2.02 KB, patch)
2014-06-19 20:49 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Dennis Gilmore 2014-06-09 02:18:00 UTC
Your package byzanz failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6941749

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

Comment 1 Dennis Gilmore 2014-06-09 02:18:03 UTC
Created attachment 903663 [details]
build.log

Comment 2 Dennis Gilmore 2014-06-09 02:18:05 UTC
Created attachment 903664 [details]
root.log

Comment 3 Dennis Gilmore 2014-06-09 02:18:06 UTC
Created attachment 903665 [details]
state.log

Comment 4 Yaakov Selkowitz 2014-06-19 20:49:52 UTC
Created attachment 910529 [details]
Patch for rawhide

According to http://rwmj.wordpress.com/2014/01/06/alignment-errors-on-fedora-arm/ the cast alignment error can just be disabled on armv7hl (but not earlier %{arm}).  Patch for rawhide attached.


Note You need to log in before you can comment on or make changes to this bug.